Subject: Re: [PATCH] pci_alloc_consistent in an interrupt context

From: Tom Rini <[email-masked]>
Date: Thu, 13 Jun 2002 13:58:24 -0700

On Thu, Jun 13, 2002 at 12:28:29PM -0700, Eugene Surovegin wrote:

> This is the patch which allows pci_alloc_consistent (and consistent_alloc)
> to be called from an interrupt context.
> It's the required behavior according to Documentation/DMA-mapping.txt.

It looks okay.  But I don't see (immediatly) why the change to
pci_alloc_consistent was needed as well.  Can you (or Dan Malek, if
you're reading this..) explain?

But aside from that, it looks good and the next step would be to try and
get the generic changes into 2.5 (and the 2.4.20-pre1, 2.4.19 is more or
less frozen, esp for a change like this I suspect).

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/